<%-- path = /%HOME%/admin/DB_OPERATION/index.jsp--%>
<%@ include file="../../common/util.jsp" %>
<%@ include file="../../common/checkAccess.jsp" %>

<%!
    String resetDBResult;
    boolean resetDBError;
    WebminException resetDBExp;
%>
<%
    resetDBError = false;
    String title = locator.getModuleDescription(accessingModule);
    out.println("<html><title>"+title+"</title>");
    out.println("<body><h2>"+title+"</h2>");
        
%>
<font size=-1>
<%=printAHref("main.jsp", "Home")%>
-->
<%=printAHref("admin/DB_OPERATION/index.jsp", locator.getModuleDescription(accessingModule))%>
</font>
<hr>
<p><b>Database Availability</b>
<ul>
<li>Database connection -  
<%
    if (request.getParameter("resetConnPool") != null) {                
        try {
            resetDBResult = requestHandler.resetConnectionPool();
        } catch (WebminException e) {
            resetDBError = true;
            resetDBExp = e;            
        }
    }
    try {
        out.println(requestHandler.checkDatabase());
    } catch (WebminException e) {
        out.println(printError("<font color=\"red\">Request for querrying database availability Fail</font>", e));
    }
%>
<form method="post" action="index.jsp">
<input type="hidden" name="resetConnPool"/>
<input type="submit" value="Reset database connection pool"/>
</form>
<%
    if (request.getParameter("resetConnPool") != null ) {
    	if (resetDBError) {                
    	    out.println(printError("<font color=\"red\">Request for reset database Fail</font>", resetDBExp));
    	} else {
            out.println("<h4><font color=\"blue\">Operation Completed</font></h4>");
    	    out.println(resetDBResult);
    	}
    }
%>
</li>
</ul>
<p><b>Database Connection Pool Info</b>
<ul>
<%
    try {
        out.println(requestHandler.getDBConnectionPoolInfo());
    } catch (WebminException e) {
        out.println(printError("<font color=\"red\">Request for querrying database connection pool information Fail</font>", e));
    }
%>
</ul>
<p><b>Number of records in Database</b>
<ul>
<%
    try {
        out.println(requestHandler.getNumRecordsInDB());
    } catch (WebminException e) {
        out.println(printError("<font color=\"red\">Request for querrying number of records in database Fail</font>", e));
    }
%>
</ul>
</body>
</html>