<%-- path = /%HOME%/admin/ENV_CHECK/index.jsp--%>
<%@ include file="../../common/util.jsp" %>
<%@ include file="../../common/checkAccess.jsp" %>

<%!
    String resetDBResult;
    boolean resetDBError;
    WebminException resetDBExp;
%>
<%
    resetDBError = false;
    String title = locator.getModuleDescription(accessingModule);
    out.println("<html><title>"+title+"</title>");
    out.println("<body><h2>"+title+"</h2>");
        
%>
<font size=-1>
<%=printAHref("main.jsp", "Home")%>
-->
<%=printAHref("admin/ENV_CHECK/index.jsp", locator.getModuleDescription(accessingModule))%>
</font>
<hr>
<p><b>General Information</b>
<ul>
<li>Monitoring MSH URL - 
<%
    try {
        String url = requestHandler.getMshUrl();
        out.println("<a href=\""+url+"\" target=\"new\">"+url+"</a>");
    } catch (WebminException e) {    
        out.println(printError("<font color=\"red\">Monitoring MSH URL has not been configured properly</font>", e));
    }
%>
<li>MSH Connection Available? 
<%    
    try {    
	if (requestHandler.isMshConnectionAlive()) {    
	        out.println("Yes");
	} else {
		out.println("No");
	}
    } catch (WebminException e) {
        out.println(printError("<font color=\"red\">No</font>", e));
    }
%>
<li>MSH Version - 
<%
    try {
        out.println(requestHandler.getMshVersion());
    } catch (WebminException e) {
        out.println(printError("<font color=\"red\">Request for querrying MSH version Fail</font>", e));
    }
%>
</ul>
<p><b>MSH Trusted Repositories</b>
<ul>
<%
    try {        
        out.println(requestHandler.getTrustedRepository());
    } catch (WebminException e) {        
        out.println(printError("<font color=\"red\">Request for querrying MSH Trusted Repositories Fail</font>", e));       
    }
%>
</ul>
<p><b>Java Environment</b>
<ul>
<%
    try {        
        out.println(requestHandler.reportEnvironment());
    } catch (WebminException e) {        
        out.println(printError("<font color=\"red\">Request for querrying Java environment Fail</font>", e));       
    }
%>
</ul>
</body>
</html>