<%-- path = /%HOME%/common/login.jsp--%>
<%@ page import="sun.misc.BASE64Decoder" %>
<%@ include file="util.jsp" %>

<%!
    private void loginFail(HttpServletRequest request, HttpServletResponse response) throws Exception {    
        response.setStatus(HttpServletResponse.SC_UNAUTHORIZED);
        response.setHeader("WWW-Authenticate", "Basic realm="+request.getServerName());
    }

    private BASE64Decoder decoder = new sun.misc.BASE64Decoder();
%>
<%  
   String auth = request.getHeader("Authorization");
   if (auth != null) {
       byte[] b = decoder.decodeBuffer(auth.substring(6));
       String cred = new String(b);
       int colon = cred.lastIndexOf(':');            
       String userID = cred.substring(0, colon);
       String pwd = cred.substring(colon+1);
       if (manager.canLogin(userID, pwd)) {
	   session.setAttribute("lastLoginDate", manager.getLastLoginDate(userID));
           session.setAttribute("userID", userID);
           String[] module = manager.getAccessModule(userID);
           if (module != null) {
               session.setAttribute("accessRight", module);
           }
           response.sendRedirect("../index.jsp");
       } else {
           loginFail(request, response);
       }
   } else {
       loginFail(request, response);       
   }
%>
<h1>Authorization Required</h1>
<p>
Please contact the System Administrator to gain access right, or press refresh button to login again