<xsl:stylesheet version = '1.0' 
     xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output method="html" omit-xml-declaration="yes"/>      
   
   <xsl:template match="//Response">     
     <xsl:if test="Result[1]='Success'"> 
       <xsl:text>Available</xsl:text> 
     </xsl:if> 
     <xsl:if test="Result[1]='Failure'"> 
       <xsl:text>Not Available</xsl:text> 
       <xsl:apply-templates select="Reason"/>
     </xsl:if>    
   </xsl:template>
     
   <xsl:template match="//Reason">     
     <br>Reason:
     <xsl:value-of select="."/>
     </br>
   </xsl:template>     
</xsl:stylesheet> 