<%-- path = /%HOME%/admin/ARCHIVE/arcDateUI.jsp--%>
<%@ page import="java.util.Calendar" %>
<%@ include file="../../common/util.jsp" %>
<%@ include file="../../common/checkAccess.jsp" %>

<%!
    Calendar calendar;
    String subTitle;
    private String generateYear(String paramID, Calendar cal) {
        int year = cal.get(Calendar.YEAR);
        StringBuffer buffer = new StringBuffer();
        buffer.append("<select name=\""+paramID+"\">");
        for (int i = year-5; i < year+5; i++) {
            buffer.append("<option value=\""+i+"\"");
            if (i == year) {
                buffer.append("SELECTED");
            }
            buffer.append("/>"+i);
        }
        buffer.append("</select>");
        return buffer.toString();
    }
    
    private String generateMonth(String paramID, Calendar cal) {
        int month = cal.get(Calendar.MONTH)+1;
        StringBuffer buffer = new StringBuffer();
        buffer.append("<select name=\""+paramID+"\">");
        for (int i = 1; i <= 12; i++) {
            if (i < 10) {
                buffer.append("<option value=\"0"+i+"\"");
            } else {
                buffer.append("<option value=\""+i+"\"");
            }
            if (i == month) {
                buffer.append("SELECTED");
            }
            buffer.append("/>"+i);
        }
        buffer.append("</select>");
        return buffer.toString();
    }
    
    private String generateDay(String paramID, Calendar cal) {
        int day = cal.get(Calendar.DAY_OF_MONTH);
        StringBuffer buffer = new StringBuffer();
        buffer.append("<select name=\""+paramID+"\">");
        for (int i = 1; i <= 31; i++) {
            if (i < 10) {
                buffer.append("<option value=\"0"+i+"\"");
            } else {
                buffer.append("<option value=\""+i+"\"");
            }
            if (i == day) {
                buffer.append("SELECTED");
            }
            buffer.append("/>"+i);
        }
        buffer.append("</select>");
        return buffer.toString();
    }
%>        
<%
    subTitle = "Archive by Time period";
    calendar = Calendar.getInstance();
    String title = locator.getModuleDescription(accessingModule)+" - "+subTitle;
    out.println("<html><title>"+title+"</title>");
    out.println("<body><h2>"+title+"</h2>");
        
%>
<font size=-1>
<%=printAHref("main.jsp", "Home")%>
-->
<%=printAHref("admin/ARCHIVE/index.jsp", locator.getModuleDescription(accessingModule))%>
-->
<%=printAHref("admin/ARCHIVE/arcDateUI.jsp", subTitle)%>
</font>
<hr>
<form method="post" action="arcDate.jsp">
<table>
<tr><td>Start Date: </td><td>
<%=generateYear("sYear", calendar)%>-<%=generateMonth("sMonth", calendar)%>-<%=generateDay("sDay", calendar)%>
</td></tr>
<tr><td>End Date: </td><td>
<%=generateYear("eYear", calendar)%>-<%=generateMonth("eMonth", calendar)%>-<%=generateDay("eDay", calendar)%>
</td></tr>
</table>
<br><input type="submit" value="Submit">
</form>