<%-- path = /%HOME%/admin/DIAGNOSIS/index.jsp--%>
<%@ page import="java.util.Calendar" %>
<%@ include file="../../common/util.jsp" %>
<%@ include file="../../common/checkAccess.jsp" %>

<%!
    private String generateYear(String paramID, Calendar cal) {        
        int year = cal.get(Calendar.YEAR);
    
        StringBuffer buffer = new StringBuffer();
        buffer.append("<select name=\""+paramID+"\">");        
        for (int i = year-5; i < year+5; i++) {
            buffer.append("<option value=\""+i+"\"");
            if (i == year) {
                buffer.append("SELECTED");
            }
            buffer.append("/>"+i);
        }
        buffer.append("</select>");        
        return buffer.toString();
    }
    
    private String generateMonth(String paramID, Calendar cal) {        
        int month = cal.get(Calendar.MONTH)+1;
    
        StringBuffer buffer = new StringBuffer();
        buffer.append("<select name=\""+paramID+"\">");
        for (int i = 1; i <= 12; i++) {
            if (i < 10) {
                buffer.append("<option value=\"0"+i+"\"");
            } else {
                buffer.append("<option value=\""+i+"\"");
            }
            if (i == month) {
                buffer.append("SELECTED");
            }
            buffer.append("/>"+i);
        }
        buffer.append("</select>");
        return buffer.toString();
    }
    
    private String generateDay(String paramID, Calendar cal) {
        int day = cal.get(Calendar.DAY_OF_MONTH);
        StringBuffer buffer = new StringBuffer();
        buffer.append("<select name=\""+paramID+"\">");
        for (int i = 1; i <= 31; i++) {
            if (i < 10) {
                buffer.append("<option value=\"0"+i+"\"");
            } else {
                buffer.append("<option value=\""+i+"\"");
            }
            if (i == day) {
                buffer.append("SELECTED");
            }
            buffer.append("/>"+i);
        }
        buffer.append("</select>");
        return buffer.toString();
    }
    
    private String generateCheckBox(String paramID, String value) {
        StringBuffer buffer = new StringBuffer();
        buffer.append("<input type=\"checkBox\" name=\"");
        buffer.append(paramID);
        buffer.append("\" ");        
        buffer.append("/>");
        buffer.append(value);
        return buffer.toString();
    }
    
    private String generateAppContext(int appCxtNo) {
        StringBuffer buffer = new StringBuffer();
        buffer.append("<tr><td>CPA ID</td><td>Service</td><td>Action</td><td>Conversation ID</td></tr>");
        for (int i = 0; i < appCxtNo; i++) {
            String iString = Integer.toString(i);
            buffer.append("<tr>");
            buffer.append("<td><input type=\"text\" name=\"CPAId");
            buffer.append(iString);
            buffer.append("\"></td>");            
            buffer.append("<td><input type=\"text\" name=\"Service");
            buffer.append(iString);
            buffer.append("\"></td>");
            buffer.append("<td><input type=\"text\" name=\"Action");
            buffer.append(iString);
            buffer.append("\"></td>");           
            buffer.append("<td><input type=\"text\" name=\"ConversationId");
            buffer.append(iString);
            buffer.append("\"></td>");
            buffer.append("</tr>");
        }
        return buffer.toString();
    }    
%>
<%
    String title = locator.getModuleDescription(accessingModule);
    out.println("<html><title>"+title+"</title>");
    out.println("<body><h2>"+title+"</h2>");
        
%>
<%@ include file="../../script/checkInt.js" %>
<%@ include file="../../script/checkDiagSelection.js" %>
<font size=-1>
<%=printAHref("main.jsp", "Home")%>
-->
<%=printAHref("admin/DIAGNOSIS/index.jsp", locator.getModuleDescription(accessingModule))%>
</font>
<hr>
<p>
<%        
    Calendar calendar = Calendar.getInstance();   
    if (!request.getMethod().equalsIgnoreCase("POST")) {
        out.println("<form action=\"index.jsp\" method=\"post\">");
        out.println("<p><b>Optional Criteria for dumping</b>");   
        out.println("<p><table>");     
        out.println("<tr><td>"+generateCheckBox("arcTime",
            "Add Time period constraints")+"</td></tr>");
        out.println("<tr><td>"+generateCheckBox("arcAppCxt",
            "* Add Application Context constraints")+"</td></tr>");
        out.println("<tr><td>* If you have checked the above checkbox, please specify the no. of Application Context constraints: ");
        out.println("<input type=\"text\" name=\"appCxtNo\"></td></tr>");       
        out.println("</table>");
        out.println("<br><input type=\"button\" value=\"Add Optional Criteria\" onClick=\"checkInt(this.form)\"/>");
        out.println("</form>");
    }        
    boolean hasAddTitle = false;
    out.println("<form action=\"diagDump.jsp\" method=\"post\">");
    if (request.getParameter("arcTime") != null) {
        out.println("<p><b>Dump Criteria</b>");
        hasAddTitle = true;
        out.println("<p>Time period constraints");
        out.println("<table>");
        out.println("<tr><td>Start Date:</td><td>"+
            generateYear("sYear", calendar)+"-"+
            generateMonth("sMonth", calendar)+"-"+
            generateDay("sDay", calendar)+"</td></tr>");
        out.println("<tr><td>End Date:</td><td>"+
            generateYear("eYear", calendar)+"-"+
            generateMonth("eMonth", calendar)+"-"+
            generateDay("eDay", calendar)+"</td></tr>");
        out.println("</table>");
    }        
    if (request.getParameter("arcAppCxt") != null) {
        if (!hasAddTitle) {
            out.println("<p><b>Dump Criteria</b>");
        }        
        int appCxtNo = Integer.parseInt(request.getParameter("appCxtNo"));            
        out.println("<p>Application Context constraints");
        out.println("<table border=\"1\">");
        out.println(generateAppContext(appCxtNo));            
        out.println("</table>");
    }
    out.println("<p><b>Dump Options</b>");
    out.println("<p><ul>");
    out.println("<li>"+generateCheckBox("dumpLog", "Dump MSH log")+"</li>");
    out.println("<li>"+generateCheckBox("dumpFile", "Dump MSH Configuration Files")+"</li>");
    out.println("<li>"+generateCheckBox("dumpDB", "Dump Database")+"</li>");
    out.println("</ul>");
    out.println("<br><input type=\"button\" value=\"Dump Files\" onClick=\"checkDiagSelection(this.form)\"/>");
    out.println("</form>");        
%>