<%-- path = /%HOME%/admin/MSG_TRACK/getPending.jsp--%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.net.URLEncoder"%>
<%@ page import="java.util.Hashtable"%>
<%@ page import="java.io.BufferedReader"%>
<%@ page import="java.io.StringReader"%>
<%@ page import="java.io.IOException"%>
<%@ include file="../../common/util.jsp" %>
<%@ include file="../../common/checkAccess.jsp" %>

<%! 
    String subTitle;
    private String generatePendingMessageList(String[] pendingMessage) {
        StringBuffer buffer = new StringBuffer();
        buffer.append("Message ID: <select name=\"pendingMsg\">");
        if (pendingMessage != null) {
            for (int i = 0; i < pendingMessage.length; i++) {
                buffer.append("<option value=\""+pendingMessage[i]+"\"/>"+pendingMessage[i]);
            }
        }
        buffer.append("</select>");
        return buffer.toString();
    }
    
    private String[] toStringArray(Object[] obj) {
        String strings[] = new String[obj.length];
        for (int i = 0; i < strings.length; i++) {
            strings[i] = obj[i].toString();
        }
        return strings;
    }
       
    private String[] processQueryResult(String result) {
        ArrayList list = new ArrayList();
        BufferedReader reader = new BufferedReader(new StringReader(result));
        String line = null;
        try {
            while ((line = reader.readLine()) != null) {
                if (!line.trim().equals("")) {
                    list.add(line);            
                }
            }
        } catch (IOException e) {
            return (new String[]{e.getMessage()});
        }
        return toStringArray(list.toArray());
    }
%>
<%
    subTitle = "Get Pending Messages";
    String title = locator.getModuleDescription(accessingModule)+" - "+subTitle;
    out.println("<html><title>"+title+"</title>");
    out.println("<body><h2>"+title+"</h2>");
        
%>
<font size=-1>
<%=printAHref("main.jsp", "Home")%>
-->
<%=printAHref("admin/MSG_TRACK/index.jsp", locator.getModuleDescription(accessingModule))%>
-->
<%=printAHref("admin/MSG_TRACK/getPending.jsp", subTitle)%>
</font>
<hr>
<p>
<%
    String deletedMessageHtml = null;
    try {
        String pendMsg = request.getParameter("pendingMsg");
        if (pendMsg != null) {
            Hashtable table = new Hashtable();
            table.put("MessageId0", pendMsg);
            deletedMessageHtml = requestHandler.deletePendingMessages(table);
            try {
                Thread.sleep(1000);
            } catch (InterruptedException e){}
        }    
    } catch (WebminException e) {
        out.println(printError("<font color=\"red\">Request for deleting pending message Fail</font>", e));
    }
    try {
        String htmlResult = requestHandler.getPendingMessages();    
        out.println("<b>Pending Messages</b>");
        String[] msgID = processQueryResult(htmlResult);
        if (msgID != null && msgID.length != 0) {
            out.println("<ul>");
            for (int i = 0; i < msgID.length; i++) {
                out.println("<li><a href=\"getMessageStatus.jsp?reqMsgID="+
                    URLEncoder.encode(msgID[i])+
                    "\" target=\"new\">"+
                    msgID[i]+"</a></li>");
            }
            out.println("</ul>");
            out.println("<p><br><b>Select pending message to delete</b><br>");
            out.println("<form method=\"post\" action=\"getPending.jsp\">");
            out.print(generatePendingMessageList(msgID));        
            out.println(" <input type=\"submit\" value=\"Delete\">");
            out.println("</form>");
        } else {
            out.println("<ul><li>No pending message to be sent</li></ul>");
        }
        if (deletedMessageHtml != null) {
            out.println("<p><b>Deleted pending message</b>");
            out.println(deletedMessageHtml);
        }
    } catch (WebminException e) {
        out.println(printError("<font color=\"red\">Request for getting pending messages Fail</font>", e));
    }
%>