<%-- path = /%HOME%/admin/SYS_ADM/editUserUI.jsp --%>
<%@ include file="../../common/util.jsp" %>
<%@ include file="../../common/checkAccess.jsp" %>


<%!
    String subTitle;
    private String generateModuleAccessList(String[] allModule, List aRight) {        
        StringBuffer buffer = new StringBuffer();
        buffer.append("<ul>");
        for (int i = 0; i < allModule.length; i++) {
            buffer.append("<li><input type=\"checkbox\" name=\"newAccessRight\" value=\"");
            buffer.append(allModule[i]);
            buffer.append("\"");
            if (aRight.contains(allModule[i])) {
                buffer.append("Checked");
            }
            buffer.append(">");            
            buffer.append(locator.getModuleDescription(allModule[i])+"</input></li>");
        }
        buffer.append("</ul>");
        return buffer.toString();
    }
    
    private String generateUserList(String[] user) {
        StringBuffer buffer = new StringBuffer();
        buffer.append("Select user: <select name=\"editingUser\">");
        if (user != null) {
            for (int i = 0; i < user.length; i++) {
                if (userID.equals(UserManager.DEFAULT_ADMIN) || !user[i].equals(UserManager.DEFAULT_ADMIN)) {
                    buffer.append("<option value=\""+user[i]+"\"/>"+user[i]);
                }
            }
        }
        buffer.append("</select>");
        return buffer.toString();
    }    
%>
<%
    subTitle = "Edit User Access Right";
    String title = locator.getModuleDescription(accessingModule)+" - "+subTitle;
    out.println("<html><title>"+title+"</title>");
    out.println("<body><h2>"+title+"</h2>");
        
%>
<font size=-1>
<%=printAHref("main.jsp", "Home")%>
-->
<%=printAHref("admin/SYS_ADM/index.jsp", locator.getModuleDescription(accessingModule))%>
-->
<%=printAHref("admin/SYS_ADM/editUserUI.jsp", subTitle)%>
</font>
<hr>
<%
    if (request.getParameter("editingUser") == null) {
%>
<p>
<form method="post" action="editUserUI.jsp">
<%  
    String[] users = manager.listUser();    
    out.print(generateUserList(users));        
%>
<input type="submit" value="Submit"/>        
</form>
<%
    } else {
        String editingUser = request.getParameter("editingUser");
%>
<p>
You may edit <%=editingUser%>'s access right by checking the appropriate checkbox
<form method="post" action="editUser.jsp">
<%      
    String[] allModules = locator.listModuleNames();
    String[] aModules = manager.getAccessModule(editingUser);    
    out.println(generateModuleAccessList(allModules, Arrays.asList(aModules)));        
%>
<input type="hidden" name="editingUser" value="<%=editingUser%>"/>
<br><input type="reset" value="Reset"/> <input type="submit" value="Submit Change"/>
</form>
<%
    }
%>