<!-- path = /%HOME%/index.jsp-->
<%@ page import="java.util.Date"%>
<%@ include file="common/util.jsp" %>
<%@ include file="common/checkAccess.jsp" %>
<h2>MSH Webmin Home</h2>
<font size=-1>
<%=printAHref("main.jsp", "Home")%>
</font>

<hr>
<p><b>MSH Current Status</b>
<ul>
<li>Monitoring MSH URL - 
<%
    try {
        String url = requestHandler.getMshUrl();
        out.println("<a href=\""+url+"\" target=\"new\">"+url+"</a>");
    } catch (WebminException e) {    
        out.println(printError("<font color=\"red\">Monitoring MSH URL has not been configured properly</font>", e));
    }
%>
</li>
<li>Webmin servlet status - 
<%
    try {
        requestHandler.isMshConnectionAlive();
        String state = requestHandler.authenticate();
        out.println("Authenticated");        
    } catch (WebminException e) {    
        out.println("Authentication failed");
    }
%>
</li>
<li>MSH State - 
<%
    try {
        requestHandler.isMshConnectionAlive();
        String state = requestHandler.getIsHalted();
        if (state.equals("Yes")) {
            out.println("Suspend");
        } else {
            out.println("Normal");
        }
    } catch (WebminException e) {    
        out.println(printError("<font color=\"red\">Error when querying MSH state</font>", e));
    }
%>
</li>
</ul>