<xsl:stylesheet version = '1.0' 
     xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output method="html" omit-xml-declaration="yes"/>      

    <xsl:template match="Messages">         
        <ul>
        <xsl:for-each select="Message">
            <xsl:sort select="@id"/>
            
            <xsl:variable name="MessageId">
                <xsl:value-of select="@id"/>
            </xsl:variable>
            <xsl:variable name="State">
                <xsl:value-of select="State"/>
            </xsl:variable>
            <xsl:variable name="MessageState">
                <xsl:value-of select="substring-after($State,'Message')"/>
            </xsl:variable>
            <li>
            <xsl:text>Pending message </xsl:text>
            <xsl:value-of select="$MessageId"/>
            <xsl:text> has been</xsl:text>
            <xsl:value-of select="$MessageState"/>
            </li>
        </xsl:for-each>
        </ul>
    </xsl:template>         
     
</xsl:stylesheet> 