<xsl:stylesheet version = '1.0' 
     xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output method="html" omit-xml-declaration="yes"/>      
     
    <xsl:template match="DiagonsisDump">         
        <xsl:apply-templates select="DataBaseDumpFiles"/>
        <xsl:apply-templates select="MshLogFiles"/>
        <xsl:apply-templates select="SystemFiles"/>
    </xsl:template>
   
    <xsl:template match="DataBaseDumpFiles">
        <b>Database dump files</b>
        <ul>
        <xsl:apply-templates select="File"/>
        </ul>
    </xsl:template>
    
    <xsl:template match="MshLogFiles">
        <b>MSH Log files</b>
        <ul>
        <xsl:apply-templates select="File"/>
        </ul>
    </xsl:template>
    
    <xsl:template match="SystemFiles">
        <b>MSH host system files</b>
        <ul>
        <xsl:apply-templates select="File"/>
        </ul>
    </xsl:template>
    
    <xsl:template match="File">
        <xsl:variable name='fileName'>
            <xsl:value-of select="."/>
        </xsl:variable>
        
        <li>
        <a>
        <xsl:attribute name="href">
        <xsl:value-of select="."/>
        </xsl:attribute>
        <xsl:attribute name="target">
        <xsl:text>new</xsl:text>
        </xsl:attribute>
        <xsl:value-of select="$fileName"/>        
        </a>
        </li>
    </xsl:template>
    
    
</xsl:stylesheet> 