<xsl:stylesheet version = '1.0' 
     xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output method="html" omit-xml-declaration="yes"/>        
     
   <xsl:template match="/">
	<xsl:apply-templates select="//Environment/Property"/>
   </xsl:template>

   <xsl:template match="//Environment/Property">
     
         <xsl:if test="Key[1]='java.runtime.name'"> 
           <li>
             <xsl:text>Java Runtime Environment - </xsl:text>                       
             <xsl:value-of select="Value[1]"/>            
           </li>
         </xsl:if> 
         <xsl:if test="Key[1]='java.vm.version'"> 
           <li>           
             <xsl:text>Java Virtual Machine Version - </xsl:text>                      
             <xsl:value-of select="Value[1]"/>            
           </li>
         </xsl:if>
         <xsl:if test="Key[1]='java.runtime.version'"> 
           <li>           
             <xsl:text>Java Runtime Version - </xsl:text>                       
             <xsl:value-of select="Value[1]"/>           
           </li>
         </xsl:if>
         <xsl:if test="Key[1]='java.version'"> 
           <li>           
             <xsl:text>Java Version - </xsl:text>                      
             <xsl:value-of select="Value[1]"/>           
           </li>
         </xsl:if>
     
   </xsl:template>
   
</xsl:stylesheet> 