<xsl:stylesheet version = '1.0' 
     xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output method="html" omit-xml-declaration="yes"/>      
     
   <xsl:template match="Response">     
         <xsl:if test="Result[1]='Success'">            
             <xsl:text>MSH has been resumed</xsl:text>                        
         </xsl:if>
         <xsl:if test="Result[1]='Failure'">            
             <xsl:text>MSH cannot be resumed</xsl:text>                        
           <xsl:apply-templates select="Reason"/>
         </xsl:if>    
   </xsl:template>
     
   <xsl:template match="//Reason">     
     <table><tr><td>Reason:</td><td>
     <xsl:value-of select="."/>
     </td></tr></table>
   </xsl:template>     
   
</xsl:stylesheet> 